Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

baseId
string
required
routineId
string
required

Query Parameters

createdTimeStart
string<date-time>

Inclusive lower bound on createdTime

createdTimeEnd
string<date-time>

Inclusive upper bound on createdTime

status
enum<string>
Available options:
pending,
running,
success,
failed,
canceled
take
integer
Required range: 1 <= x <= 100
cursor
string

Keyset cursor from the previous page; omit for the first page

Response

200 - application/json

One page of the run history plus the total row count

runs
object[]
required
nextCursor
string | null
required

Pass back as cursor for the next page; null when exhausted

Last modified on September 15, 2026